Ubuntu

Atom N280 frequency scaling not supported

Reported by Runar Ingebrigtsen on 2009-09-01
54
This bug affects 7 people
Affects Status Importance Assigned to Milestone
cpufreqd (Ubuntu)
Medium
Colin King

Bug Description

Seems like there's a few people out there with a common problem. I can't get my Ubuntu 9.04 to manage the frequency of the Atom N280 CPU at 1,6 GHz on my Acer One D250 HD.

A quick google with bing later I found that I could "sudo modprobe acpi_cpufreq" except this returns "FATAL: Module acpi_cpufreq not found". A "sudo dpkg-reconfigure gnome-applets" didn't cut it either.

/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies returns:
1333000 1066000 800000

Which shouldn't be, as /proc/cpuinfo, as well as Windows 7, states it's a 1,66GHz:
model name : Intel(R) Atom(TM) CPU N280 @ 1.66GHz
stepping : 2
cpu MHz : 1333.000
power management:

Though it seems the frequency is locked at 1,3GHz and that there's no power management involved.

Other peoples struggles with this:
http://ubuntuforums.org/showthread.php?t=1201352&highlight=n280
http://ubuntuforums.org/archive/index.php/t-1209082.html

Runar Ingebrigtsen (ringe) wrote :
Runar Ingebrigtsen (ringe) wrote :
Runar Ingebrigtsen (ringe) wrote :
Runar Ingebrigtsen (ringe) wrote :
Vladimir Tartynskyi (fon.vosi) wrote :

exactly the same issue with N280, exept i have Lenovo S10-2 netbook

Vladimir Tartynskyi (fon.vosi) wrote :

and the same with ubuntu 9.10

Keng-Yu Lin (lexical) wrote :

Could you update your chipset here? Notice that "lshw" might not report the correct one. Please check your BIOS, booting message or spec.

Changed in cpufreqd (Ubuntu):
status: New → Confirmed
Runar Ingebrigtsen (ringe) wrote :

Here is my lshw output. The BIOS shows the same info.

Runar Ingebrigtsen (ringe) wrote :
Vladimir Tartynskyi (fon.vosi) wrote :

Mobile Intel 945GSE Express - in tech spec

Vladimir Tartynskyi (fon.vosi) wrote :
Leonar (leonardkr) wrote :

MSi Wind u100plus also shows 1,33Ghz when running Intel SpeedStep and 1,67Ghz nor.
Real CPU works 1,67 only Ubuntu does not know about it. (especialy in Eco mode(fn+f10))

Colin King (colin-king) wrote :

I've seen this problem on other N280 based systems - specifically, the kernel is getting the incorrect CPU speed from the BIOS ACPI tables. To test this hypothesis, try booting with the kernel boot option:

acpi=off

If you get the full 1.66GHz with this option it means that your BIOS is reporting the wrong speed.

I can confirm that the kernel is getting the wrong CPU speed from the
BIOS ACPI tables. Booting with acpi=off gives me 1.66 MHz (full speed)
but no frequency scaling (off course, since acpi is disabled).

Does anyone know of a working coreboot image for Aspire One? ;)

Vladimir Tartynskyi (fon.vosi) wrote :

btw ... the same issue with offtopic OS (win7), see attach

Runar Ingebrigtsen (ringe) wrote :

I have updated my BIOS with the latest version (Acer BIOS version 1.15
as of 2009/09/21) and it makes no difference. I will contact Acer for an
explanation.

Eivind Eide (mokkurkalve) wrote :

Having exact same issue with Acer Aspire One D150 (Atom N280) with latest BIOS 1.11 of 2009/09/21 (guess you have D250 as BIOS 1.15 was released for that machine same day). Now this is with Arch Linux, so it's probably offtopic OS too, but as this seems to be the only thread on the net with any activity on this issue I hope you get an answer from somewhere...

Runar Ingebrigtsen (ringe) wrote :

I just received news from Acer that supposedly there's a new BIOS
version coming up from Taiwan with correct ACPI tables. I have yet to
receive the link but will post it here ASAP.

Colin King (colin-king) wrote :

@Runar, any idea of when the new BIOS will be arriving - and keep us posted if this fixing things. Thanks!

Changed in cpufreqd (Ubuntu):
importance: Undecided → Medium
assignee: nobody → Colin King (colin-king)
Runar Ingebrigtsen (ringe) wrote :

The new BIOS for the Acer Aspire One D250 did appear, you can find it at http://preview.tinyurl.com/yktestf

Still no luck with the frequency scaling issue, though. I'm following up with Acer.

Colin King (colin-king) wrote :

Thanks for the feedback Runar, keep us informed of what Acer says about this BIOS issue. Thank you!

Runar Ingebrigtsen (ringe) wrote :

I just got word that my request will be forwarded to the technical department of Acer Germany. Hopefully this means the engineers will finally get involved and be able to take this issue further.

Eivind Eide (mokkurkalve) wrote :

Could you mention for them that this issue also applies to Acer Aspire One D150?

Runar Ingebrigtsen (ringe) wrote :

I'm in touch with 2nd line support for Acer Nordic, and they tell me the
issue have been escalated to 3rd line support at Acer HQ. I sent a reply
to notify them of the D150, too.

Colin King (colin-king) wrote :

Great to hear this Runar.

Runar Ingebrigtsen (ringe) wrote :
Runar Ingebrigtsen (ringe) wrote :
Runar Ingebrigtsen (ringe) wrote :

I was asked to give the Windows 7 screenshot and my serial number again,
so I uploaded the screens here for the Acer people to get involved, if
they want to. :) At least they're getting back to me, asking for more
information, which is more than I've learned to expect from different PC
makers over the years.

Runar Ingebrigtsen (ringe) wrote :

Why is it that the kernel uses the BIOS here anyway? Determination of the CPU speed shouldn't depend on such a crappy architecture, at least from my perspective.

Eivind Eide (mokkurkalve) wrote :

I can contribute a screenshot from my Acer Aspire One D150 running Arch Linux:

Colin King (colin-king) wrote :

@Runar,

>Why is it that the kernel uses the BIOS here anyway? Determination of the CPU speed shouldn't depend on such
>a crappy architecture, at least from my perspective.

Unfortunately to pick up all the power management goodness, the information has to be defined somewhere - this is what ACPI is for. Either you disable ACPI and lose a lot of functionality, or you follow what ACPI defines to get all the power mangement goodness and unfortunately sometimes pick up bugs in the ACPI tables. You buy a PC, you get ACPI. Hewlett-Packard,
Intel, Microsoft, Phoenix Technologies and Toshiba for ACPI :-)

Colin King (colin-king) wrote :

Should have read: Thank Hewlett-Packard, Intel, Microsoft, Phoenix Technologies and Toshiba for ACPI :-)

Runar Ingebrigtsen (ringe) wrote :

I see, thank you for pointing out such obvious facts in a friendly
manner. ;)

rkagan (rkagan) wrote :

Same here on Lenovo S10-2 with Fedora 11.

On a related matter, all the included reports confirm another problem I posted in http://forums.lenovo.com/t5/IdeaPad-S-series-Netbooks/s10-2-no-NX-bit/td-p/174434.

Weird that N280-based machines from three different vendors exibit the same behavior.

OTOH this definitely looks like a problem with either hardware or firmware, there's nothing Ubuntu (or any other Linux distro) can do about it.

I've got an S10-2 with an N280 and also see the problem in 9.10. This looks like a firmware bug of some sort. I wonder how windows works around it though since apparently windows is unaffected (I can't confirm this myself however). If that is the case, then wouldn't it be work-aroundable in the linux kernel ACPI?

How do we get Lenovo's, HP's, etc attention on this?

Vladimir Tartynskyi (fon.vosi) wrote :

i cant understand one thing
is CPU _really_ works in 1.33 Ghz, or it just displays 1.33, and the real freq is 1.66???

rkagan (rkagan) wrote :

yes CPU really works at 1.33GHz.

What happens is this:

the operating system tries to save power by decreasing the processor clock rate. For that, it determines which clock rates are available, and selects the most appropriate one for the current load, according to the policy chosen by the user.

The most conventional way of controlling the cpu frequency is through ACPI. Apparently in our machines ACPI reports the max available frequency of 1.33GHz, and, when the cpuspeed control is activated, it can't go beyond the max. Note that you're free not use CPU frequency adjustments, in which case you'll have your 1.66 back, at the price of shorter battery life.

Windows can ignore the limit, or apply quirks, or not do any CPU frequency adjustments at all. What does powercfg /query report on your system?

Runar Ingebrigtsen (ringe) wrote :

I received an email from Acer Norway about my Acer Aspire One D250,
translated quote:

"We have reached the conclusion that Intel's EIST power saving feature
is the source of varying frequency for this model. In our custom BIOS'
there is no switch for this feature, which means there is no choice but
to run the computer with this feature enabled. To correct this behavior
I made a request for a BIOS release with a direct option to deactivate
Intel EIST. Please use the attached BIOS version and get back to me with
your results."

Unfortunately I haven't been able to flash my BIOS with this new version
yet. My problem is that it's DOS-dependent and the flashit program just
crashed on me when running it in FreeDOS from a USB memory stick. I have
made a request for a Windows version like former BIOS releases from
Acer, as I dual boot Windows 7 and Ubuntu.

I don't dare to upload that BIOS release here on launchpad.net, due to
it's potential to brick computers and likely copyright restrictions.

All in all I'm having a positive dialogue with Acer. I will recommend
that you make contact with the support crew for your computer maker and
let them know about this bug here on launchpad. I insisted on getting
technical support in spite of the usual mindless comments like "you have
to return your PC so we can repair it" from 1st level support. I got
forwarded to 2nd level support and they actually look into this issue,
which is more than we are all used to expect. I also sent them all the
links I from launchpad.

Sending copy of this comment to Acer Nordic 2nd level support, so here
goes signature.

Best Regards
Runar Ingebrigtsen

rkagan (rkagan) wrote :

On Wed, Nov 11, 2009 at 11:35:45PM -0000, Runar Ingebrigtsen wrote:
> "We have reached the conclusion that Intel's EIST power saving feature
> is the source of varying frequency for this model.

That's sorta telling the obvious. The whole point of this feature is
to save power by varying the cpu clock rate. E.g. on a mostly idle
system the clock sticks at its minimum, 800MHz.

The problem is not in the feature per se, but in the fact that the BIOS
reports the range of available frequencies smaller than the processor is
actually capable of. As a result, the processor can't reach its maximum
speed when it's needed because the OS thinks that the maximum is lower.

Disabling the speed adjustment can be done by e.g. unloading the
acpi-cpufreq module (well, from your original post I conclude that this
may not be possible with Ubuntu kernel as it's apparently compiled in
the kernel). However, you lose some of your on-battery time.

So consider their proposal as a temporary workaround, which I wouldn't
even apply myself becase I care more about the on-battery time than
about the max cpu speed.

A more likely reason for the problem is that their BIOS (InsydeH2O, as
in my Lenovo S10-2, right?) is older than the processor and doesn't
recognize its features, doing some defaults instead. This would also
explain the other problem we both suffer from, the absense of NX bit
support (which BTW is a security feature).

Runar Ingebrigtsen (ringe) wrote :

I wrote Acer, quoting your post to see what they say about that. I agree
that battery time is what's most important. To me this is a case of not
getting what was advertised and what was paid for.

Eivind Eide (mokkurkalve) wrote :

Runar Ingebrigtsen wrote:
> Unfortunately I haven't been able to flash my BIOS with this new version
> yet. My problem is that it's DOS-dependent and the flashit program just
> crashed on me when running it in FreeDOS from a USB memory stick. I have
> made a request for a Windows version like former BIOS releases from
> Acer, as I dual boot Windows 7 and Ubuntu.

If the FreeDOS method fails there's an alternative (and less free) way of preparing the DOS USB stick that must be done partially on a Windows box.
1) Download a copy of WinImage (8.0 or newer). The program is shareware with a free 30 days trial limit.
2) Download the "Driver Free Disk For BIOS Flashing", drdflash.exe from bootdisk.com. It's a WinImage selfextracting floppy image, so next you open it from the Winimage menu "Open file" by selecting "All files" file type, you don't have to execute it (meaning write to a floppy disk).
3) Change the size of the image. It's a 1.44 Mb floppy image, but WinImage let you choose unconventional sizes, the biggest being 2.88 Mb. Choose that in order to get enough size to add your files.
4) Now choose "inject files" from menu and inject all the files of the DOS version of the BIOS firmware, for Aspire One it's three files. Now you should have the files of the DR-DOS OS and the firmware files in the image.
5) Save the image as uncompressed image, type called IMA by WinImage program (Do not select compressed image or selfextracting image or any other type). Call it e.g. "biosimage.IMA". You can change the extension from .IMA to .img after if you so desire.
6) Writing the image to the memory stick. This we do with dd on either Linux or Windows. If you do it on Windows you must get a copy of dd.exe. The important thing is to write it raw to the root of the device, NOT to a partition or anything. So let's say we are on Linux now; you run tail -f /var/log/messages when you inject the memorystick to be shure of the name of the device. You will erase everything on the device you write to so be shure to select the memorystick, and be shure that it's OK to erase what was on it before. On Linux the device will be /dev/sdX something, e.g. /dev/sdb. Do not write to /dev/sdX1 or anything, but directly on /dev/sdX. (If you use Widows version of dd the device could be E:\ or something, be very sure to pick the right one). Now write the image to stick as root or with sudo:
dd if=biosimage.img of=/dev/sdX
7) Now you can boot of the memorystick. Use the dir command in DOS to see that you can see your files. Then you can execute the firmware flash program. For Aspire One it was a batch file that should be executed. In my case the command was KAV10.BAT

rkagan (rkagan) wrote :

I've added a comment with a few details on the matter at
http://forums.lenovo.com/t5/Linux-Discussion/S10-2-Wrong-Clockspeed-ACPI-Table-Error/m-p/175100#M1616.

You may want to try the same techniques to isolate the problem and make
it a stronger case for Acer support.

Meanwhile I feel ashamed keeping this bug open on Ubuntu when it's
purely a h/w vendor fault. I suggest closing it with an appropriate
status.

Runar Ingebrigtsen (ringe) wrote :

I agree this shouldn't be a Ubuntu bug, but more people will probably
look for this issue, so I suggest we keep it open until we see how it
plays out with Acer. :)

Runar Ingebrigtsen (ringe) wrote :

I did like you mentioned in that post, but I don't see the same as you on my D250. This is my decoded SSDT file. I don't know how to point out anything here to Acer.

Runar Ingebrigtsen (ringe) wrote :

I tested the BIOS from Acer and got 1.66GHz but no power saving, as I
expected after comments here. I replied with a compliment, asking for
another attempt with focus on _both_ performance _and_ power saving. I
also asked why we can't just get a BIOS with tables saying we have four
speed steps.

rkagan (rkagan) wrote :

On Thu, Nov 12, 2009 at 11:55:33PM -0000, Runar Ingebrigtsen wrote:
> I did like you mentioned in that post, but I don't see the same as you
> on my D250. This is my decoded SSDT file. I don't know how to point out
> anything here to Acer.

Your SSDT table is exactly the same as mine, except for the addresses of
the dynamic SSDTs due to 2 GB RAM in your machine vs 1 GB in mine ;)

The P-state tables are located in dynamic SSDTs, look at
/sys/firmware/acpi/tables/dynamic/SSDT2

Runar Ingebrigtsen (ringe) wrote :

fr., 13.11.2009 kl. 09.03 +0000, skrev rkagan:
> The P-state tables are located in dynamic SSDTs, look at
> /sys/firmware/acpi/tables/dynamic/SSDT2

The dynamic folder doesn't exist in my sys acpi tree.

rkagan (rkagan) wrote :

On Mon, Nov 16, 2009 at 12:13:21PM -0000, Runar Ingebrigtsen wrote:
> fr., 13.11.2009 kl. 09.03 +0000, skrev rkagan:
> > The P-state tables are located in dynamic SSDTs, look at
> > /sys/firmware/acpi/tables/dynamic/SSDT2
>
> The dynamic folder doesn't exist in my sys acpi tree.

That was added in 2.6.29 development time. Apparently you have an older
kernel.

caiacoa (m-ulbricht) wrote :

Folks,

a new BIOS version for the D150 (BIOS_Acer_1.11_A_A.zip) came out at Nov 17th. Anyone already made some tests?
It is only 917 Kb and the version is stated as 1.11 - so I am a bit afraid that something went wrong at the
acer site
(http://www.acer.co.uk/acer/service.do?LanguageISOCtxParam=en&miu10einu24.current.attN2B2F2EEF=3734&sp=page15e&ctx2.c2att1=17&miu10ekcond13.attN2B2F2EEF=3734&CountryISOCtxParam=UK&ctx1g.c2att92=122&ctx1.att21k=1&CRC=2980211862)

Or does the new version fix the frequency issue? - This is what I am waiting for!

Eivind Eide (mokkurkalve) wrote :

The size of the download is OK, as it only contains the three files for the DOS install method and not the Windows executeable. It's a bit funny that the version number is the same as the previous from 2009-09-21 yes. I do not have the chance to test this right now, I will probably look into it later. It's a shame these Acer people can't upload a changelog together with these files....

Eivind Eide (mokkurkalve) wrote :

Eh... Now by checking the date of the firmware file KAV10.fd, 2009-09-04 15:22 , and confirming by using md5sum, I see that it's the same file as in the zip from 2009-09-21. So there's no new BIOS. I have BIOS version 1.11, and the state of things are as discussed troughout this tread.

rkagan (rkagan) wrote :

I just noticed that Acer released a new BIOS for AOD250, with no release
notes as usual.

Has anybody tried? Does it fix anything?

I've got a aod250-1613 (intel n280 + android + xp version) and this affects me too. but is it possible that this is about the kernel rather than cpufreqd (that's a deamon, right?)?

I did not install cpufreqd. If I echo ondemand > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor (from arch wiki), it freqs down. And, again without modprobing acpi_cpufreq (or after modprobing), the max freq shows itself to be 1.33 and not 1.66.

Can that mean that there is something wrong with how the kernel reads its info?

rkagan (rkagan) wrote :

On Wed, Dec 02, 2009 at 03:53:50AM -0000, Mehmet Atif Ergun wrote:
> I've got a aod250-1613 (intel n280 + android + xp version) and this
> affects me too. but is it possible that this is about the kernel rather
> than cpufreqd (that's a deamon, right?)?

As can be seen in the discussion above this is neither about cpufreqd
nor the kernel. It's about BIOS bug.

> I did not install cpufreqd. If I echo ondemand >
> /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor (from arch wiki),
> it freqs down. And, again without modprobing acpi_cpufreq (or after
> modprobing), the max freq shows itself to be 1.33 and not 1.66.

Without acpi-cpufreq loaded you wouldn't have cpufreq subdirectory at
all. And you *would* have your CPU frequency at 1.66 GHz.

> Can that mean that there is something wrong with how the kernel reads
> its info?

No. By loading acpi-cpufreq you indicate that you want to control your
CPU's frequency, selecting among the available P-states. The top P-state
reported by the BIOS is 1.33 GHz. Complain to your BIOS vendor.

rkagan (rkagan) wrote :

Interesting news: MSI issues a BIOS update for its Atom N280-based
netbook Wind U100 Plus with a changelog:

Modify the string of CPU Frequency for W7

Dunno what that means but the owner may want to check it out:
http://eu.msi.com/index.php?func=downloaddetail&type=bios&maincat_no=135&prod_no=1784

Runar Ingebrigtsen (ringe) wrote :

I just updated my Acer D250 with the new BIOS version. There is no difference in terms of performance or cpu scaling.

Runar Ingebrigtsen (ringe) wrote :

I have upgraded to Karmic, so here's my SSDT2 table.

Besides, I found this forum discussing how to load custom SSDT tables for MacOS X:
http://www.insanelymac.com/forum/index.php?showtopic=145792

Stupid Question: Is this a possible approach in Grub?

rkagan (rkagan) wrote :

On Thu, Dec 03, 2009 at 12:25:12AM -0000, Runar Ingebrigtsen wrote:
> I have upgraded to Karmic, so here's my SSDT2 table.

Identical to mine.

> Besides, I found this forum discussing how to load custom SSDT tables for MacOS X:
>
> Stupid Question: Is this a possible approach in Grub?

In principle yes:
http://www.lesswatts.org/projects/acpi/overridingDSDT.php
but that's way too hackish.

Also, as noted at
http://episteme.arstechnica.com/eve/forums/a/tpc/f/77909774/m/840002350041?r=665000550041#665000550041,
the BIOS has problems with other P-states for this CPU (we have 800,
1066, 1333 while it should've been something like 833, 1000, 1333,
1666), so it must be doing something wrong in general.

I still believe we need to get this fixed in the BIOS. If anybody has
similar data on offtopic systems that would be a more convincing
argument for the vendor.

Observer (dbvweb) wrote :

Just tried the link posted by rkagan #55.
Got my MSI Wind u100+ fixed.

Consider this issue solved for MSI Wind u100+ series. :)
Thanks rkagan and all.

summerfk (tall184) wrote :

I have an Acer AOD 205 BB18 (N280, 1280x720 screen, Win 7 preinstalled).
I get the same problem under Windows 7 - maximum speed is 1.33GHz
Bios is 1.15. Manufactured 0909.

Strangely, I know someone with an AOD 205 BW83 (N280, 1024x600 screen, XP preinstalled).
Their machine doesn't have the issue under XP.
Not sure what the bios is, but it's an older machine than the BB18.

I've not tried installing ubuntu on either machine.
I'm simply adding these details to this thread so that people know the new Acer models also have this issue with Windows, it's not only a ubuntu issue. I wonder why XP is different?

A new firmware was released yesterday. I read in another thread that the issue is not fixed. Anyone tried it?

Two other relevant threads:

http://74.125.155.132/search?q=cache:1mGp0KClPeYJ:ubuntuforums.org/showthread.php%3Ft%3D1209082%26page%3D2+AOD250+BIOS+1.25&cd=1&hl=en&ct=clnk

http://forums.vr-zone.com/notebooks-netbooks/454705-help-atom-n280-cpu-speed-windows-7-s10-2-a.html

summerfk (tall184) wrote :

Three updates

1. Bios 1.25 made no difference
2. My original Bios was 1.13 not 1.15
3. XP reports 1.31Ghz so it appears not to be 1.66

summerfk (tall184) wrote :

Interesting
Win7 reports 1.33Ghz
CPUZ reports 1.66Ghz
So is this just a Win7 reporting bug?

rkagan (rkagan) wrote :

On Thu, Dec 10, 2009 at 06:47:30AM -0000, summerfk wrote:
> I get the same problem under Windows 7 - maximum speed is 1.33GHz
> [...]
> machine doesn't have the issue under XP.
> [...]
> I wonder why XP is different?

Most likely the reason is different power profiles (by default XP has
EIST off).

> Win7 reports 1.33Ghz
> CPUZ reports 1.66Ghz
> So is this just a Win7 reporting bug?

I guess it's rather CPU-Z reporting bug (or feature, they may just be
not interested in the *actual* state).

You should try Intel's own utility:
http://www.intel.com/support/processors/tools/piu/

Also there are quite a few facts on power management at
http://www.intel.com/support/processors/sb/CS-028855.htm

summerfk (tall184) wrote :

> > I wonder why XP is different?
> Most likely the reason is different power profiles (by default XP has
> EIST off).

I reposted on this - XP actually behaves the same way as 7.

> > Win7 reports 1.33Ghz
> > CPUZ reports 1.66Ghz
> > So is this just a Win7 reporting bug?
> I guess it's rather CPU-Z reporting bug (or feature, they may just be
> not interested in the *actual* state).
> You should try Intel's own utility:
> http://www.intel.com/support/processors/tools/piu/

Intel's own utility shows 1.66Ghz

In power management, if I set max processor state to 50%, Intels app shows 0.99GHz, CPUZ shows 0.99Ghz with multiplier = 0.6, Win7 continues to report 1.33GHz, and a Windows desktop processor monitor I'm using shows 799MHz (I have tried a few and they all show the same).

Certainly inconsistency here.

Geralt (usr-gentoo) wrote :

Is Lenovo aware of this problem? I've seen some links here to topics in their forums, but no statement from Lenovo.

summerfk (tall184) wrote :

Don't know. I have Acer.

--
Sent from my iPhone

On 22 Dec 2009, at 22:15, Geralt <email address hidden> wrote:

> Is Lenovo aware of this problem? I've seen some links here to topics
> in
> their forums, but no statement from Lenovo.
>
> --
> Atom N280 frequency scaling not supported
> https://bugs.launchpad.net/bugs/422858
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “cpufreqd” package in Ubuntu: Confirmed
>
> Bug description:
> Seems like there's a few people out there with a common problem. I
> can't get my Ubuntu 9.04 to manage the frequency of the Atom N280
> CPU at 1,6 GHz on my Acer One D250 HD.
>
> A quick google with bing later I found that I could "sudo modprobe
> acpi_cpufreq" except this returns "FATAL: Module acpi_cpufreq not
> found". A "sudo dpkg-reconfigure gnome-applets" didn't cut it either.
>
> /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies
> returns:
> 1333000 1066000 800000
>
> Which shouldn't be, as /proc/cpuinfo, as well as Windows 7, states
> it's a 1,66GHz:
> model name : Intel(R) Atom(TM) CPU N280 @ 1.66GHz
> stepping : 2
> cpu MHz : 1333.000
> power management:
>
> Though it seems the frequency is locked at 1,3GHz and that there's
> no power management involved.
>
> Other peoples struggles with this:
> http://ubuntuforums.org/showthread.php?t=1201352&highlight=n280
> http://ubuntuforums.org/archive/index.php/t-1209082.html
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/cpufreqd/+bug/422858/+subscribe

rkagan (rkagan) wrote :

On Tue, Dec 22, 2009 at 01:15:29PM -0000, Geralt wrote:
> Is Lenovo aware of this problem? I've seen some links here to topics in
> their forums, but no statement from Lenovo.

Lenovo has no public issue tracker so you never can tell.

I'm discussing the problem with their local support contact. However
it's dealt with at low priority because nobody but me complained so far.

Again: there's no bug in Ubuntu nor in Linux in general. The MSI
success story is yet another confirmation. There's no point polluting
Ubuntu bugspace with this.

Let's close this bug as INVALID or whatever is appropriate, and let the
people complain to their vendors.

summerfk (tall184) wrote :

This bug isn't invalid. It affects a whole range of machines, not just
Lenovo.

--
Sent from my iPhone

On 23 Dec 2009, at 02:57, rkagan <email address hidden> wrote:

> On Tue, Dec 22, 2009 at 01:15:29PM -0000, Geralt wrote:
>> Is Lenovo aware of this problem? I've seen some links here to
>> topics in
>> their forums, but no statement from Lenovo.
>
> Lenovo has no public issue tracker so you never can tell.
>
> I'm discussing the problem with their local support contact. However
> it's dealt with at low priority because nobody but me complained so
> far.
>
> Again: there's no bug in Ubuntu nor in Linux in general. The MSI
> success story is yet another confirmation. There's no point polluting
> Ubuntu bugspace with this.
>
> Let's close this bug as INVALID or whatever is appropriate, and let
> the
> people complain to their vendors.
>
> --
> Atom N280 frequency scaling not supported
> https://bugs.launchpad.net/bugs/422858
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “cpufreqd” package in Ubuntu: Confirmed
>
> Bug description:
> Seems like there's a few people out there with a common problem. I
> can't get my Ubuntu 9.04 to manage the frequency of the Atom N280
> CPU at 1,6 GHz on my Acer One D250 HD.
>
> A quick google with bing later I found that I could "sudo modprobe
> acpi_cpufreq" except this returns "FATAL: Module acpi_cpufreq not
> found". A "sudo dpkg-reconfigure gnome-applets" didn't cut it either.
>
> /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies
> returns:
> 1333000 1066000 800000
>
> Which shouldn't be, as /proc/cpuinfo, as well as Windows 7, states
> it's a 1,66GHz:
> model name : Intel(R) Atom(TM) CPU N280 @ 1.66GHz
> stepping : 2
> cpu MHz : 1333.000
> power management:
>
> Though it seems the frequency is locked at 1,3GHz and that there's
> no power management involved.
>
> Other peoples struggles with this:
> http://ubuntuforums.org/showthread.php?t=1201352&highlight=n280
> http://ubuntuforums.org/archive/index.php/t-1209082.html
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/cpufreqd/+bug/422858/+subscribe

Runar Ingebrigtsen (ringe) wrote :

ti., 22.12.2009 kl. 22.22 +0000, skrev summerfk:
> This bug isn't invalid. It affects a whole range of machines, not just
> Lenovo.

You are absolutely correct that this is a real bug, but you overestimate
the area of function for this particular bug tracker. This is a BIOS
bug, in a Ubuntu bug tracker regarding the Ubuntu implementation of the
software called CPU frequency daemon. As such, the area of function for
this bug tracker does not coincide with the technology in which we have
located this bug. Alas, the bug is invalid in the given area.

We all agree this bug should be fixed by the relevant party, but this
has nothing to do with Ubuntu and will not ever have anything to do with
Ubuntu.

I'm not sure I would like to see this bug closed, but I understand every
reason to do so. This is like discussing the lack of internet connection
with your plumber. "I hear you, but why don't you call your ISP?"

For my part, I have sent a request to get my money back for a purchase
that gave me less than advertised.

Steve McGrath (smcgrath23) wrote :

Adding to this issue, I just finally got through to Acer Level 2 support about this BIOS issue with the N280 CPU, and the tech completely stonewalled on me. She said that it is absolutely not a known issue, and that the CPU will run at 1.66GHz when it needs to. This is despite the fact that in Ubuntu I can clearly see the list of available CPU speeds as 800Mhz, 1.07Ghz, and 1.33Ghz. And even in the pre-installed Windows 7, I have CPU min & max speed set to 100%.

Can anyone provide any advice on dealing with Acer from here? I would like to find out the status of this issue within Acer, but I think I need some more confirmation before I can get anywhere with them. If anyone has an open ticket that has been elevated to level 3, perhaps we could share info.

Runar Ingebrigtsen (ringe) wrote :

I am in contact with Acer Level 2 support and they have been friendly
but unable to help me out. According to them, the D250 with Windows 7
they have for testing shows no issues like this at all. It fully runs at
1.66 GHz.

I was asked to return my laptop to second level support for a closer
review, but right now I can't do that since I have no other computer for
school usage.

So I'm stuck. Acer says nothing's wrong and won't accept that there
might be without seeing a customer case in person.

I am interested enough that I consider buying a new computer just to let
them lay their hands on my existing. It's just that I'm a student...
Sigh. How hard can it be, really?

Matko Jun (matko-jun) wrote :

I recently purchased Aspire one D250 with Win XP Home, i wiped entire disk, repartitioned, then installed Win XP Home SP3 (not Acers restore disc, but from regular install CD), after that Ubuntu 9.10. I must say this scaling issues *could* be at ubuntu/linux level since my XP runs normally up to 1,66GHz and Ubuntu only up to 1,33GHz. Stock BIOS that it came with was 1.22, i now upgraded to 1.25 and situation is still the same

Steve McGrath (smcgrath23) wrote :

I think that Windows XP doesn't use the EIST feature. Windows 7 does, though, so I have this problem in Win7 and Ubuntu. I do realize this is probably completely the wrong place for this discussion, but I am hoping to get some info to use for leverage with Acer. Or perhaps enough info from enough sources to take to some of the major technology news outlets...

Matko Jun (matko-jun) wrote :

As far as i know (and wikipedia confirms: http://en.wikipedia.org/wiki/SpeedStep#Operating_system_support) XP does use EIST. When idle my computer -> properties shows 800MHz, under load (youtube with HD video) it rises to 1,66GHz. EIST in XP is disabled when power managment profile is set to "Home/Office Desk".

Quote from wikipedia:
"Under Microsoft Windows XP, SpeedStep support is built into the power management console under the control panel. In Windows XP a user can regulate the processor's speed indirectly by changing power schemes. The "Home/Office Desk" disables SpeedStep, the "Portable/Laptop" power scheme enables SpeedStep, and the "Max Battery" uses SpeedStep to slow the processor to minimal power levels as the battery weakens."

Maybe there is a problem in Ubuntu acpi module (or some other module(s)?), maybe trying to upgrade some modules to lucid ones will fix this annoying problem?

Matko Jun (matko-jun) wrote :

I don't know if this is a solution but if you don't compile acpi-cpufreq inside kernel but as a module (choose M instead Y) cat /proc/cpuinfo reports 1662 Mhz. This also enables you to modprobe any other module you decide to compile as module in kernel configuration (you won't get device or resource busy error). So if you modprobe p4-clockmod you'll get scaling from some 200MHz up to 1666 MHz. As soon as my kernel gets compiled i'll test this and report result here.

00b00nt00 (porubado) wrote :

Acer have released BIOS v1.26 for the D250. This seems to address the frequency problem. Alas, my D250 refuses to boot Ubuntu every time, so I have had to go with W7.

Steve McGrath (smcgrath23) wrote :

I can confirm that BIOS 1.26 fixes this. Funny, 2nd level support swore
up and down that there wasn't a problem...

Runar Ingebrigtsen (ringe) wrote :

I am now able to confirm that Acer D250 BIOS version 1.26 fixes this issue. 2nd level support told me I had to turn in my computer for them to have a look. I am glad I didn't.

Changed in cpufreqd (Ubuntu):
status: Confirmed → Fix Released
caiacoa (m-ulbricht) wrote :

For the D150 I can confirm that BIOS Version 1.13 enables now the maximum frequency of 1.67 GHz.

I am wondering about the minimum (or idle) frequency.

cpufreq-info is now reporting a minimum frequency of 1000 MHz instead
of 800 MHz with previous BIOS versions.
This would result in a shorter battery runtime. So is a higher idle/minimum
CPU frequency inevitable?

Pugo (pugo) wrote :

Wonderful news! Very happy that Acer finally fixed this! I was almost loosing hope when some people falsely claimed that it was a Linux problem and not a general ACPI problem.

Eivind Eide (mokkurkalve) wrote :

Can confirm 1.13 fixes this on D150. As caiacoa I'm wondering why we lost the 800 MHz speeed though, currently only 1.67 GHz, 1.33 GHz and 1000 MHz are available. This is way better than what was before, still I would prefer all four speeds available for cpufreqd.... Well you can't have it all can you...?

@ 00b00nt00: I'm running Archlinux on D150 and not Ubuntu on D250 like you. Still I don't see why you should have any problem doing so... Ubuntu should "just work" on your machine. Have you looked into netbook variants like Easy Peasy?

Eivind Eide (mokkurkalve) wrote :

@ Pugo: I guess they would never have fixed this problem if it didn't manifest on Windows 7 also. Acers comment to the new BIOS: "Fixes Atom N280 CPU frequency incorrect in Windows 7 OS." ;)

Unfortunately this problem still exists for T1028X, because Gigabyte doesn't care about linux users. I've tried switching the acpi driver with p4-clockmod but it keeps telling me that it cannot find it. Is there any way except turning off acpi to use the full potential of my cpu or should i give up :( ?

Edzilla (jeancardona) wrote :

I can also confirm that on my lenovo S10-2 the latest bios (1.17) fixed the issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers